{
  "name": "backend",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "watch": "tsc-watch -p tsconfig.json --onSuccess \"node ./dist/app.js\"",
    "start": "node ./dist/app.js",
    "buildAndStart": "tsc -p tsconfig.json && node ./dist/app.js",
    "tsc": "tsc -p tsconfig.json",
    "dev": "pnpm watch",
    "build": "tsc -p tsconfig.json",
    "lint": "eslint . --fix --ext .ts",
    "openapi": "npm run tsc && node ./dist/swagger.js",
    "schema:dsp": "typescript-json-schema \"src/model/dsp/**/*.dto.ts\" \"*\" -o resources/schemas/dsp.schema.json",
    "schema:data-planes": "typescript-json-schema \"src/model/data-planes/**/*.dto.ts\" \"*\" -o resources/schemas/data-planes.schema.json",
    "schema:all": "npm run schema:dsp && npm run schema:data-planes",
    "jest": "jest",
    "jest:coverage": "jest --coverage --coverage-reporters text",
    "jest:ci": "jest --coverage --coverage-reporters cobertura --coverage-reporters text --ci --reporters=default --reporters=jest-junit"
  },
  "files": [
    "dist"
  ],
  "dependencies": {
    "@libs/dtos": "workspace:*",
    "@nestjs/common": "^10.1.3",
    "@nestjs/core": "^10.1.3",
    "@nestjs/jwt": "^10.1.0",
    "@nestjs/mapped-types": "^2.0.4",
    "@nestjs/passport": "^10.0.1",
    "@nestjs/platform-express": "^10.1.3",
    "@nestjs/platform-socket.io": "^10.3.3",
    "@nestjs/schedule": "^3.0.4",
    "@nestjs/serve-static": "^4.0.0",
    "@nestjs/typeorm": "^10.0.0",
    "@nestjs/websockets": "^10.3.3",
    "@tsg-dsp/common": "^0.3.1",
    "@types/jsonpath": "^0.2.4",
    "@types/passport-oauth2": "^1.4.15",
    "axios": "^1.4.0",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.0",
    "deep-equal": "^2.2.2",
    "did-resolver": "^4.1.0",
    "express": "^4.18.2",
    "express-session": "^1.17.3",
    "jose": "^4.14.4",
    "jsonld": "^8.2.0",
    "jsonpath": "^1.1.1",
    "jsonwebtoken": "^9.0.2",
    "nest-typed-config": "^2.7.0",
    "passport": "^0.7.0",
    "passport-http-bearer": "^1.0.1",
    "passport-oauth2": "^1.8.0",
    "pg": "^8.11.3",
    "qs": "^6.11.2",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.8.1",
    "socket.io": "^4.7.4",
    "sqlite3": "^5.1.6",
    "typeorm": "^0.3.17",
    "yaml": "^2.3.1"
  },
  "devDependencies": {
    "@jest/types": "^29.6.3",
    "@nestjs/cli": "^10.1.12",
    "@nestjs/testing": "^10.1.3",
    "@types/deep-equal": "^1.0.1",
    "@types/express": "^4.17.17",
    "@types/express-session": "^1.17.7",
    "@types/jest": "^29.5.11",
    "@types/jsonld": "^1.5.9",
    "@types/jsonwebtoken": "^9.0.5",
    "@types/node": "^20.5.0",
    "@types/passport": "^1.0.16",
    "@types/passport-http-bearer": "^1.0.37",
    "@types/qs": "^6.9.11",
    "@types/supertest": "^2.0.12",
    "@typescript-eslint/eslint-plugin": "^6.4.0",
    "@typescript-eslint/parser": "^6.4.0",
    "eslint": "^8.47.0",
    "jest": "^29.7.0",
    "jest-junit": "^16.0.0",
    "msw": "^2.0.10",
    "supertest": "^6.3.3",
    "ts-jest": "^29.1.1",
    "ts-node": "^10.9.2",
    "tsc-watch": "^6.0.4",
    "typescript": "^5.1.3",
    "typescript-json-schema": "^0.59.0"
  }
}
